Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.common
Interface T3ShutdownDef

Deprecated. Deprecated in WebLogic Server 6.1.

public interface T3ShutdownDef

T3ShutdownDef defines the interface for user-written shutdown objects.

A class that implements this interface and is registered in WebLogic's `config.xml` file will be automatically executed when the WebLogic Server shuts down, and its shutdown method will be called.

Any class that implements this interface must have a public default constructor. For example, class "foo" must have a constructor like:

       public foo() {
       }

Author:
  Copyright (c) 1997-98 by WebLogic, Inc., Copyright (c) 1999 by BEA WebXpress. All Rights Reserved.

Method Summary
`void` | `setServices(T3ServicesDef services)` Deprecated. Deprecated in WebLogic Server 6.1.
`java.lang.String` | `shutdown(java.lang.String name, java.util.Hashtable ht)` Deprecated. Deprecated in WebLogic Server 6.1.

Method Detail

### setServices

    public void setServices(T3ServicesDef services)

  Deprecated. Deprecated in WebLogic Server 6.1.
  Sets the services object. The instantiation of a class that implements this interface uses the services reference to obtain access to services in WebLogic.

  Parameters:
    `services` - Access to services in WebLogic

### shutdown

    public java.lang.String shutdown(java.lang.String name,
                                     java.util.Hashtable ht)
                              throws java.lang.Exception

  Deprecated. Deprecated in WebLogic Server 6.1.
  The shutdown method is called by the WebLogic Server when your object is launched. Its arguments are supplied by the registration in WebLogic's `config.xml` file. The "name" argument is the virtual_name for the `shutdownClass` property as it has been registered in the `config.xml` file. Arguments are passed to the user-written `shutdown()` method as a set of name-value pairs in a Hashtable; those name-value pairs are also registered in the `config.xml` file.

  Parameters:
    `name` - Virtual name by which the class is registered as a shutdownClass in the `config.xml` file
    `ht` - A Hashtable that is made up of the name-value pairs supplied from the shutdownArgs property
  Returns:
    String that is sent to the log file
  Throws:
    java.lang.Exception - if there is an error

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference